<mat-card class="monument-details-card" *ngIf="monument">
    <mat-card-header >
      <div mat-card-avatar class="example-header-image"></div>
      <mat-card-title>{{monument.name}}</mat-card-title>
      <mat-card-subtitle>{{monument.getFullAddress()}}</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <p>
        {{monument.ppro}}
        {{monument.hist}}
      </p>
    </mat-card-content>
    <mat-card-actions class="monuments-action-buttons">
      <button mat-raised-button color="secondary" (click)="onFavorite()" style="display: block;">{{isFavorite ? 'Remove from favorites':'Add to favorites'}}</button>
      <button (click)="WikiLinkClick()" mat-raised-button color="secondary">Wikipedia</button>
    </mat-card-actions>
  </mat-card>
